Bug 198637 - Error message for non-callable Proxy `construct` trap is misleading
Summary: Error message for non-callable Proxy `construct` trap is misleading
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-06 17:33 PDT by Alexey Shvayka
Modified: 2019-06-11 14:45 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.20 KB, patch)
2019-06-06 17:46 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.73 MB, application/zip)
2019-06-07 01:16 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shvayka 2019-06-06 17:33:09 PDT
Error message for non-callable Proxy `construct` trap is misleading
Comment 1 Alexey Shvayka 2019-06-06 17:46:13 PDT
Created attachment 371544 [details]
Patch
Comment 2 Saam Barati 2019-06-06 20:06:27 PDT
Comment on attachment 371544 [details]
Patch

r=me
Comment 3 Build Bot 2019-06-06 20:42:15 PDT
Comment on attachment 371544 [details]
Patch

Attachment 371544 [details] did not pass jsc-ews (mac):
Output: https://webkit-queues.webkit.org/results/12401453

New failing tests:
mozilla-tests.yaml/js1_5/Array/regress-101964.js.mozilla-dfg-eager-no-cjit-validate-phases
apiTests
Comment 4 Build Bot 2019-06-07 01:16:14 PDT
Comment on attachment 371544 [details]
Patch

Attachment 371544 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12403535

New failing tests:
js/error-should-not-strong-reference-global-object.html
Comment 5 Build Bot 2019-06-07 01:16:16 PDT
Created attachment 371575 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 6 Keith Miller 2019-06-11 14:12:50 PDT
Comment on attachment 371544 [details]
Patch

Those failures seem unrelated to your patch.
Comment 7 WebKit Commit Bot 2019-06-11 14:42:47 PDT
Comment on attachment 371544 [details]
Patch

Clearing flags on attachment: 371544

Committed r246333: <https://trac.webkit.org/changeset/246333>
Comment 8 WebKit Commit Bot 2019-06-11 14:42:49 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-06-11 14:45:07 PDT
<rdar://problem/51641048>